#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream fi("doinp.inp");
    long int n;
    fi>>n;
    fi.close();
    ofstream fo("doinp.out");
    long int a[100000];
    long int i=-1;
    if(n==0){fo<<0;}
    else
    {while(n!=0)
    {
        i=i+1;
        a[i]=n%2;
        n=n/2;
    }
    for (long int j=i;j>=0;j--)
        fo<<a[j];}
    fo.close();
    return 0;
}
